Description

When editing a global parameter, the "Hidden value" checkbox doesn't replace the full editor (added in #11625) when checked, and

the new textbox stays there when unchecked.

1. Edit a non-hidden parameter, check the "Hidden value" box and a new textbox appears between the editor toolbar and textarea. 

The old non-hidden value is still shown in the textarea.

2. Untick the "Hidden value" box and the new textbox remains.

3. Create a hidden parameter, untick the "Hidden value" box and the password field is replaced by a textbox and not the editor.

Related issues:

Related to Foreman - Refactor #11625: Make foreman ace editor reusable Closed 08/31/2015

Related to Foreman - Bug #11845: Hiding and then unhiding a parameter value b... Closed 09/16/2015

Associated revisions

Revision f92e7cc9 - 09/15/2015 03:29 AM - Walden Raines

Fixes #11689: hide editor container when hidden value.

http://projects.theforeman.org/issues/11689

History

#1 - 09/04/2015 05:06 AM - Dominic Cleal

- Related to Refactor #11625: Make foreman ace editor reusable added

#2 - 09/09/2015 11:39 AM - Walden Raines

- Status changed from New to Assigned

- Assignee set to Walden Raines

What's the expected behavior when the hidden value checkbox is checked?

It looks like it used to turn the text field into a password input which is grotesquely unsemantic and could even automatically be populated by a

password via the browser or some plugin.

Does it really make sense to mask the input on the edit page?  I understand not showing it on the list page but if you are going to edit a value, aren't

you likely to want to see it?

#3 - 09/10/2015 03:24 AM - Dominic Cleal

Yes, the previous behaviour is the expected behaviour - to swap the text box for a password/hidden field and back.

#4 - 09/10/2015 09:45 AM - Walden Raines

Dominic Cleal wrote:
Yes, the previous behaviour is the expected behaviour - to swap the text box for a password/hidden field and back.

 Okay, but I will mask the value using something other than a password field.

#5 - 09/11/2015 04:20 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2706 added

- Pull request deleted ()

#6 - 09/15/2015 04:02 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f92e7cc9b0e1d9e4feecef072ceb973a87222c46.

#7 - 09/16/2015 06:59 AM - Tomer Brisker

- Related to Bug #11845: Hiding and then unhiding a parameter value breaks on host[group] parameters added
